.discord-screen {
    background: #2C2F33;
    padding: 16px;
    box-shadow: 0px 4px 8px #0000004d;
    border-radius: 8px;
    min-height: 258px;
    flex-shrink: 0;
    margin-bottom: 20px;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
}

.discord-screen .message-preview {
    display: flex;
    color: #fff;
    padding: 16px 0;
}

.discord-screen .text-input {
    border-radius: 8px;
    padding: 16px 20px;
    background: #40444B;
    display: flex;
    align-items: center;
    font-size: 16px;
}

.discord-screen .text-input .plus-button {
    border-radius: 50%;
    background: #99AAB5;
    color: #40444B;
    width: 24px;
    height: 24px;
    margin-right: 16px;
}

.discord-screen .text-input .discord-chat-placeholder {
    color: #fff;
    opacity: 25%;
}

.discord-screen .message-preview .bot-avatar {
    width: 50px;
    height: 50px;
    border-radius: 50%;
    overflow: hidden;
    flex-shrink: 0;
    margin-right: 16px;
}

.discord-screen .message-preview .bot-message {
    flex-grow: 1;
}

.discord-screen .message-preview .bot-message .bot-name {
    display: flex;
    align-items: center;
    font-size: 16px;
}

.discord-screen .message-preview .bot-message .bot-name .bot-tag {
    font-size: 10px;
    display: flex;
    border-radius: 4px;
    background: #5865F2;
    margin: 0 8px;
    padding: 2px 4px;
}

.discord-screen .message-preview .bot-message .bot-name .bot-date {
    font-size: 12px;
    color: #fff;
    opacity: 0.25;
}

.discord-screen .message-preview .bot-message .message-content {
    margin-top: 8px;
    color: #ddd;
    font-size: 14px;
    word-break: break-word;
}

.discord-screen .message-preview .bot-message .message-embed {
    padding: 16px;
    border-radius: 4px;
    background: #36393F;
    box-shadow: 0px 4px 8px #0000004d;
    border-left: 4px solid;
    display: flex;
    align-items: flex-start;
    margin-top: 8px;
    border-color: #32fa21;
    max-width: max-content;
}

.discord-screen .message-preview .bot-message .message-embed .embed-title {
    font-weight: 500;
    text-align: left;
    word-break: break-word;
}

.discord-screen .preview-channel-header {
    font-weight: 700;
    margin: 8px 0;
    color: black;
}
.dark-mode .discord-screen .preview-channel-header {
    font-weight: 700;
    margin: 8px 0;
    color: white;
}

.discord-screen .preview-channel-description {
    font-size: 16px;
    line-height: 20px;
}

.discord-screen .message-preview .bot-message .message-components .action-row {
    margin-top: 8px;
    display: flex;
}

.discord-screen .message-preview .bot-message .message-components .action-row .discord-button {
    padding: 8px 16px;
    border-radius: 4px;
    background: #5865F2;
    transition: background 300ms ease;
    cursor: pointer;
    margin-right: 8px;
    display: flex;
    align-items: center;
    font-size: 14px;
}

.discord-reaction {
    border-radius: .5rem;
    cursor: pointer;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    -ms-flex-negative: 0;
    flex-shrink: 0;
    margin-right: .25rem;
    margin-bottom: .25rem;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    -webkit-transition: none .1s ease;
    transition: none .1s ease;
    -webkit-transition-property: background-color, border-color;
    transition-property: background-color, border-color;
    background: #24262a;
    border: 1px solid transparent;
}

.discord-reaction:hover {
    background-color: #36393f;
    border-color: hsla(0, 0%, 100%, .2)
}

.discord-reaction:hover .discord-reactionCount {
    color: #dcddde;
}

.discord-reactionInner {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    padding: .125rem .375rem;
}

.discord-reactionCount {
    font-size: 0.875rem;
    font-weight: 500;
    margin-left: .375rem;
    text-align: center;
    color: #b9bbbe;
}

.discord-reaction .discord-emoji {
    width: 1rem;
    height: 1rem;
    margin: .125rem 0;
    min-width: auto;
    min-height: auto;
}

.discord-embed code {
    border: none;
    background: #202225;
}

.discord-screen .discord-tag {
    background: rgba(88,101,242,0.35);
    padding: 2px 4px;
    border-radius: 4px;
    font-weight: 500;
}

.embed-title {
    font-weight: 500;
    word-break: break-word;
}

.inline {
    background-color: #1a1c20!important;
    color: unset;
    width: auto;
    height: auto;
    padding: .2em;
    margin: -.2em 0;
    border-radius: 3px;
    font-size: 85%;
    font-family: Consolas,Andale Mono WT,Andale Mono,Lucida Console,Lucida Sans Typewriter,DejaVu Sans Mono,Bitstream Vera Sans Mono,Liberation Mono,Nimbus Mono L,Monaco,Courier New,Courier,monospace;
    text-indent: 0;
    border: none;
    white-space: pre-wrap;
}

.embed-description {
    text-align: left;
    margin-top: 16px;
    color: #ddd;
    font-size: 14px;
    word-break: break-word;
}

.embed-image-content {
    margin-top: 16px;
    display: block;
}
.embed-image-container {
    display: flex;
    flex-flow: row nowrap;
}
.embed-image {
    max-width: 400px;
    max-height: 162px;
    width: 100%;
    display: block;
    aspect-ratio: 400 / 162;
    border-radius: 5px;
}

.embed-image-wrapper {
    cursor: pointer;
    max-width: 400px;
    width: 100%;
    aspect-ratio: 400 / 162;
}

.embed-footer {
    display: flex;
    align-items: center;
    margin-top: 8px;
    font-size: 10px;
}

.footer-icon {
    width: 16px;
    height: 16px;
    border-radius: 50%;
    display: inline-block;
    margin-right: 8px;
    flex-shrink: 0;
    object-fit: cover;
}

.discord-avatar-large {
    width: 64px;
    height: 64px;
    overflow: hidden;
    border-radius: 4px;
    flex-shrink: 0;
}

.embed-thumbnail {
    margin-left: auto;
    padding-left: 16px;
}

.hidden {
    display: none !important;
}
